Subject: Re: [PATCH v4 22/24] iommu/arm-smmu-v3: Introduce master->ats_invs

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 19 May 2026 09:12:36 -0300

On Mon, May 18, 2026 at 08:39:05PM -0700, Nicolin Chen wrote:
> Similar to master->build_invs used by a per-domain invalidation, add a new
> master->ats_invs to be used by arm_smmu_atc_inv_master().
> 
> Since arm_smmu_cmdq_batch_init_cmd() now takes an invs pointer, pass it in.
> 
> This will be useful by arm_smmu_cmdq_batch_issue() to backtrack the master
> pointer from a timed out ATC invalidation command in a subsequent change.

Again this is a good place to just use the SID and get back to the
master through the rbtree under a spinlock.

Jason